Subject: Re: [PATCH] net: dsa: Fix build warning for !PM_SLEEP

From: Thierry Reding <[email-masked]>
Date: Thu, 2 Oct 2014 10:35:00 +0200

On Wed, Oct 01, 2014 at 03:24:52PM -0400, David Miller wrote:
> From: Thierry Reding <[email-masked]>
> Date: Wed,  1 Oct 2014 13:59:00 +0200
> 
> > From: Thierry Reding <[email-masked]>
> > 
> > The dsa_switch_suspend() and dsa_switch_resume() functions are only used
> > when PM_SLEEP is enabled, so they need #ifdef CONFIG_PM_SLEEP protection
> > to avoid a compiler warning.
> > 
> > Signed-off-by: Thierry Reding <[email-masked]>
> 
> Applied.
> 
> Please, in the future, explicitly indicate what tree your changes
> are against.  Through trial and error I figured out that this could
> only apply to net-next, but that's not a good use of my time.

I had assumed that working on top of linux-next is what most people were
doing anyway therefore net-next would be the default to apply patches to
unless otherwise stated.

But if this inconveniences you I'll try to remember to explicitly state
which tree it's based on in the future.

Thierry